Update carrier bid withdrawal

This request allows the carrier to withdraw a bid.

When a spot offer is placed on a bidding load or a hybrid load, it can be withdrawn by the carrier if the shipper
has not been awarded the load to them yet. Once the spot offer is withdrawn, the carrier can rebid or place another
offer while the phase is still active.

Example

The following example allows a carrier to withdraw a load offer on an active load.

PUT https://developer.api.us.walmart.com/api-proxy/service/supplychain/transportation/v1/api/brokerage/plans/{planId}/bid

Request body:

{ "payload": { "identifiers": { "phaseId": "55ed55ba-df2f-417f-974b-622ee6e059af", }, "status": "WITHDRAW" } }
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The following are required input field names, data types, description, and occurrences.

payload
object

Specifies an object to accept a load.

Headers
string
required

Specifies the consumer identifier.

This value is obtained from the development manager.

Example:

b30696d1-1806-489d-a519-6c38b35cc8d2

string
required

Indicates the authorized bearer token received from the authorization call.

Example:

Bearer

eyJraWQiOi...APjrOJSvSg

string
required

Specifies the tracking ID for each request for logging purpose. The client sends a new UUID for each request for logging.

Example:

UUID - 4402a449-0e67-49f8-bbb3-b2fc1c05f6b3

Responses

201

Created

401

Unauthorized

403

Forbidden

404

Not Found

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json